#include <iostream.h>

enum BOOL {FALSE, TRUE};
enum CHOICE {SetSize = 1, DrawRect, GetArea, GetPerim , Quit};

class Rectangle
{
public:
	Rectangle(int width, int height);		
	~Rectangle() {}

	int GetHeight() {return itsHeight;}
	int GetWidth()  {return itsWidth;}
	int GetArea()   {return itsHeight * itsWidth;}
	int GetPerim()  {return 2 * itsHeight + 2 * itsWidth;}
	void SetSize(int newWidth, int newHeight);

private:
	int itsWidth;
	int itsHeight;
};

void Rectangle ::SetSize(int newWidth, int newHeight){
	itsWidth = newWidth;
	itsHeight = newHeight;
}

Rectangle::Rectangle(int width, int height){
	itsWidth = width;
	itsHeight = height;
}



int DoMenu();
void DoDrawRect(Rectangle);
void DoGetArea(Rectangle);
void DoGetPerim(Rectangle);

int main(){
	
	Rectangle myRectangle(0,0);
	
	int choice;
	int quit = FALSE;

	while(!quit){
		choice = DoMenu();
		if (choice < SetSize || choice > Quit){
			cout << "\nInvalid Choice, please try gain.\n\n";
		}

		switch (choice){
		case SetSize:
			int newLength, newWidth;
			cout << "\nNew width: ";
			cin >> newWidth;
			cout << "New height: ";
			cin >> newLength;
			myRectangle.SetSize(newWidth, newLength);
			break;
		
		case DrawRect:
			DoDrawRect(myRectangle);
			break;
		
		case GetArea:
			DoGetArea(myRectangle);
			break;
		
		case GetPerim:
			DoGetPerim(myRectangle);
			break;
		
		case Quit:
			quit = TRUE;
			cout << "\nExiting...\n\n";
			break;
		
		default:
			cout << "Error in choice!\n";
			quit = TRUE;
			break;
		}	
	}		
	return 0;
}		

int DoMenu(){
	int choice;
	cout << "\n\n   *** Menu *** \n";
	cout << "(1) Set Size\n";
	cout << "(2) Draw Rectangle\n";
	cout << "(3) Area\n";
	cout << "(4) Perimeter\n";
	cout << "(5) Quit\n";

	cin >> choice;
	return choice;
}

void DoDrawRect(Rectangle myRectangle){
	int height = myRectangle.GetHeight();
	int width = myRectangle.GetWidth ();
	
	cout << "\n\n";
	for (int i = 0; i< height; i++){
		for (int j = 0; j< width; j++)
			cout << "*";
		cout << "\n";
	}
}

void DoGetArea (Rectangle myRectangle){
	cout << "Area: " << myRectangle.GetArea() << endl;
}

void DoGetPerim(Rectangle myRectangle){
	cout << "Perimeter: " << myRectangle.GetPerim() << endl;
}


